Subject: Re: [Megaco] 答复: Question on application of tones on ephemeral terminations

From: <[email-masked]>
Date: Thu, 14 May 2009 11:28:26 +0200

Hi Maria, all, 
 
FYI , ETSI TR 184 040 (H.248 message flow for A/RGW) clearly says that in such case far end should receive cg/rt tone.
(See §5.1.3.1 for example).
 
However, I agree with Maria and I still have some difficulties understanding this (i.e. transmission of media on an inactive media...).
 
JD

________________________________

De : [email-masked] [mailto:[email-masked]] De la part de PEREZ HERNANDEZ MARIA DEL MAR
Envoyé : jeudi 14 mai 2009 00:32
À : [email-masked]
Cc : [email-masked]; [email-masked]
Objet : Re: [Megaco]答复: Question on application of tones on ephemeral terminations

Hello Michael Sun,
 
thanks for your answer and sorry for taking so long to thank you.
 
I fully agree with your view but there seems to be other views that defend the fact that since the ring-back tone is a signal, it must be played (and RTP packets sent to other end) even if termination "inactive". I learnt about a previously posted message on this issue (http://www.ietf.org/mail-archive/web/megaco/current/msg07819.html) which seems to defend the fact that whatever the termination mode, a signal must be played. I agree that the signal must be played on the termination, but I think that once the signal is converted to media, it will be played but will not reach the other end since the RTP path is not opened ("inactive"termination). Do you agree with this?
 
Thanks again and sorry for my delay,
 
MMAR

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, May 08, 2009 4:42 AM
To: PEREZ HERNANDEZ MARIA DEL MAR
Cc: [email-masked]; [email-masked]
Subject: [Megaco] 答复: Question on application of tones on ephemeral terminations

I think MG is a controlled equipment.If it sends RPT packages ,It must be set to be active by MGC firstly

Michael Sun 孙红军 
Network Planning & System Design Department 
  	Product Marketing System 
产品市场体系 
No.68 Zijinghua Rd,Yuhuatai District, NanJing.P.R.China
Tel:+86-25-52870503
Fax:+86-25-52871000
Email:[email-masked] 	

"PEREZ HERNANDEZ MARIA DEL MAR" <[email-masked]> 
发件人:  [email-masked] 

2009-05-07 08:21 

收件人
<[email-masked]> 
抄送
主题
[Megaco] Question on application of tones on ephemeral terminations	

Hi all, 
  
I know that a scenario where the ring-back tone is applied from the remote side emulating TDM is quite common. My question is about the correct mode of the remote ephemeral termination. 
  
According to H.248.1 (par 7.1.7) “Signals and Events are not affected by mode”, that is, the mode affects only the media. However, when a tone (Signal) is applied on an ephemeral termination, the tone is converted to media (RTP); therefore, if a Signal (ring-back tone) is applied to the remote ephemeral termination which is in “inactive” mode, what should be the behaviour of the MG? Should the RTP packets with the tone be sent outside the Context or not? 
  
Thanks, 
  
MMAR_______________________________________________
Megaco mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/megaco

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.